Package proton :: Module reactor :: Class Reactor

[frames] | no frames]

# Class Reactor

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
                     Reactor

Known Subclasses:
  - Container

Instance Methods

__init__(self, *handlers, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

on_error(self, info) | source code

yield_(self) | source code

mark(self) | source code

run(self) | source code

wakeup(self) | source code

start(self) | source code

process(self) | source code

stop(self) | source code

schedule(self, delay, task) | source code

acceptor(self, host, port, handler=None) | source code

connection(self, handler=None) | source code

selectable(self, handler=None) | source code

update(self, sel) | source code

push_event(self, obj, etype) | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

wrap(impl) | source code

Properties
| global_handler
| timeout
| handler
| quiesced
Inherited from `object`: `__class__`

Method Details

### __init__(self, *handlers, **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### global_handler

Get Method:
  _get_global(self)
Set Method:
  _set_global(self, handler)

### timeout

Get Method:
  _get_timeout(self)
Set Method:
  _set_timeout(self, secs)

### handler

Get Method:
  _get_handler(self)
Set Method:
  _set_handler(self, handler)

### quiesced

Get Method:
  unreachable.quiesced(self)